clang 10.0.0git

Public Member Functions | List of all members
clang::Sema::FPContractStateRAII Class Reference

Records and restores the FP_CONTRACT state on entry/exit of compound statements. More...

`#include "clang/Sema/Sema.h"`

## Public Member Functions
| FPContractStateRAII (Sema &S)
| ~FPContractStateRAII ()

## Detailed Description

Records and restores the FP_CONTRACT state on entry/exit of compound statements.

Definition at line 1300 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ FPContractStateRAII()

clang::Sema::FPContractStateRAII::FPContractStateRAII | ( | Sema & | S | ) |
| inline

Definition at line 1302 of file Sema.h.

## ◆ ~FPContractStateRAII()

clang::Sema::FPContractStateRAII::~FPContractStateRAII | ( |  | ) |
| inline

Definition at line 1303 of file Sema.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h